#!/bin/sh
# OCO Source Materials
# Licensed Materials - Property of IBM
# 5724-C02
# (C) Copyright IBM Corp. 2003  All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# %Z%%M%   %I%   %W% %G% %U%

# INSTRUMENT_BIN is the directory where this program is installed.
INSTRUMENT_BIN_DIR=`dirname $0`

CLI_LOG_DIR=$INSTRUMENT_BIN_DIR/../cli
CLI_CONFIG_DIR=$INSTRUMENT_BIN_DIR/../cli/config
INSTRUMENT_LIB_DIR=$INSTRUMENT_BIN_DIR/../lib
TMTP_LIB_DIR=$INSTRUMENT_BIN_DIR/../../../../lib
TMTP_USER_DIR=$INSTRUMENT_BIN_DIR/../../../..
IC_CONFIG_DIR=$INSTRUMENT_BIN_DIR/../ic/config
JRE_BIN_DIR=$INSTRUMENT_BIN_DIR/../../../../jre142/jre/bin:$INSTRUMENT_BIN_DIR/../../../../jre142/bin

if [ `uname` = "OS/390" ]; then
    SETENV="/etc/tmtp/MA/config/setupEnv.sh"
    if [ ! -f $SETENV ]; then
        echo "$SETENV does not exist"
        exit 1
    fi

    . $SETENV

    TMTP_LIB_DIR=$BASEDIR/lib
    TMTP_USER_DIR=$BASEDIR
    JRE_BIN_DIR="$JAVAHOME/bin"
    export LIBPATH=$INSTRUMENT_BIN_DIR/../lib/os390
fi
if [ `uname` = "OS400" ]; then
    # OS400 MAs are always installed at this location
    SETENV="/qibm/userdata/tivoli/tmtp/ma/bin/setupEnv.sh"
    if [ -f $SETENV ]; then
       . $SETENV
      TMTP_LIB_DIR=$BASEDIR/lib
      TMTP_USER_DIR=$BASEDIR
      JRE_BIN_DIR="$JAVAHOME/bin"
      export LIBPATH=$INSTRUMENT_BIN_DIR/../lib/OS400
    else
      echo "setupEnv400.sh does not exist!"
      exit 1
    fi
fi


CLASSPATH="$INSTRUMENT_LIB_DIR/instrument.jar"
CLASSPATH="$CLASSPATH:$INSTRUMENT_LIB_DIR/j2eeprereq.jar"
CLASSPATH="$CLASSPATH:$INSTRUMENT_LIB_DIR/j2eebehavior.jar"
CLASSPATH="$CLASSPATH:$INSTRUMENT_LIB_DIR/jiti.jar"
CLASSPATH="$CLASSPATH:$IC_CONFIG_DIR"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/jakarta12.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/commons-cli-1.0.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/log.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/jlog.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/jffdc.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/jflt.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/ejflt.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/copyright.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/xmlParserAPIs.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/xercesImpl.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/valueObjects.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/tmtp_l10n.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/sm.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/jmxx.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/jmxc.jar"
CLASSPATH="$CLASSPATH:$TMTP_LIB_DIR/core_util.jar"

PATH=$JRE_BIN_DIR:$PATH
export CLASSPATH
export PATH

java -Djlog.propertyFileDir=$CLI_CONFIG_DIR -Dcom.ibm.tivoli.transperf.logging.qualDir="J2EE/cli" -Dtmtp.user.dir=$TMTP_USER_DIR -DINSTRUMENT_BIN_DIR=$INSTRUMENT_BIN_DIR com.ibm.tivoli.transperf.instr.install.AssociationModifier "$@"
